Bug 243601 - audio/beets: Fails to run: pkg_resources.DistributionNotFound: The 'confuse>=1.0.0'
Summary: audio/beets: Fails to run: pkg_resources.DistributionNotFound: The 'confuse>=...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Alexandre C. Guimarães
URL:
Keywords: needs-patch
Depends on:
Blocks:
 
Reported: 2020-01-26 06:50 UTC by Alexandre C. Guimarães
Modified: 2020-02-08 16:46 UTC (History)
2 users (show)

See Also:
koobs: maintainer-feedback? (stiginge)
koobs: merge-quarterly?


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexandre C. Guimarães freebsd_committer 2020-01-26 06:50:19 UTC
Beets fail with the error below during a large import.

It seems the python confuse library is missing as a dependency.

https://pypi.org/project/confuse/

-----
Traceback (most recent call last):
  File "/usr/local/bin/beet", line 6, in <module>
    from pkg_resources import load_entry_point
  File "/usr/local/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3251, in <module>
    @_call_aside
  File "/usr/local/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3235, in _call_aside
    f(*args, **kwargs)
  File "/usr/local/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3264, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/local/lib/python3.7/site-packages/pkg_resources/__init__.py", line 583, in _build_master
    ws.require(__requires__)
  File "/usr/local/lib/python3.7/site-packages/pkg_resources/__init__.py", line 900, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/local/lib/python3.7/site-packages/pkg_resources/__init__.py", line 786, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'confuse>=1.0.0' distribution was not found and is required by beets
-----

Thanks!
Comment 1 Alexandre C. Guimarães freebsd_committer 2020-01-26 20:39:27 UTC
I installed the py-confuse library and it seems the breakage isn't happening anymore, and its looks like to just happens when dealing with data from Discogs ID.
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2020-01-28 03:59:53 UTC
@Alexandre Once py-confuse is ported, adding the missing dependency to audio/beets is:

Approved by: portmgr (blanket: missing dependency)
MFH: 2019Q1
Comment 3 commit-hook freebsd_committer 2020-01-30 06:21:49 UTC
A commit references this bug:

Author: rigoletto
Date: Thu Jan 30 06:21:14 UTC 2020
New revision: 524632
URL: https://svnweb.freebsd.org/changeset/ports/524632

Log:
  audio/beets: add missing dependency.

  Add devel/py-confuse to the tree since audio/beets needs it.

  PR:		243601
  Approved by:	portmgr (blanket: missing dependency), tcberner (mentor)
  MFH:		2019Q1

Changes:
  head/audio/beets/Makefile
  head/devel/Makefile
  head/devel/py-confuse/
  head/devel/py-confuse/Makefile
  head/devel/py-confuse/distinfo
  head/devel/py-confuse/pkg-descr
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2020-01-31 22:56:42 UTC
(In reply to Kubilay Kocak from comment #2)

Should have read:

MFH: 2020Q1
Comment 5 commit-hook freebsd_committer 2020-02-01 01:25:25 UTC
A commit references this bug:

Author: rigoletto
Date: Sat Feb  1 01:25:05 UTC 2020
New revision: 524749
URL: https://svnweb.freebsd.org/changeset/ports/524749

Log:
  MFH: r524632

  audio/beets: add missing dependency.

  Add devel/py-confuse to the tree since audio/beets needs it.

  PR:		243601
  Approved by:	portmgr (blanket: missing dependency), tcberner (mentor)

Changes:
_U  branches/2020Q1/
  branches/2020Q1/devel/Makefile
  branches/2020Q1/devel/py-confuse/
Comment 6 Alexandre C. Guimarães freebsd_committer 2020-02-08 16:46:03 UTC
Thank you! :-)